

import java.awt.*;



public class ScreenLayout extends Rectangle {

    protected static int round(double val) {

	return (int) (val + 0.5);

    }



    public ScreenLayout(double x, double y, double width, double height) {

	this.x = round(x);

	this.y = round(y);

	this.width = round(width);

	this.height = round(height);

    }



    public ScreenLayout(Layout lyt) {

	this.x = round(lyt.x);

	this.y = round(lyt.y);

	this.width = round(lyt.width);

	this.height = round(lyt.height);

    }

}

